Bug 1284888 - [abrt] konversation: ViewContainer::canMoveViewLeft(): konversation killed by SIGSEGV
[abrt] konversation: ViewContainer::canMoveViewLeft(): konversation killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: konversation (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4a7245ae63d69a73f4fc5cebdb0...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 07:09 EST by Pavel Valena
Modified: 2017-08-08 08:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.88 KB, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: cgroup (191 bytes, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: core_backtrace (23.40 KB, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: dso_list (18.16 KB, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: environ (1.83 KB, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: maps (85.18 KB, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: mountinfo (3.65 KB, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: open_fds (970 bytes, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details
File: var_log_messages (301 bytes, text/plain)
2015-11-24 07:09 EST, Pavel Valena
no flags Details

  None (edit)
Description Pavel Valena 2015-11-24 07:09:05 EST
Description of problem:
Reproducible: 
  always

Steps to reproduce:
  1) Run Konversation
  2) Join server+chanell
  3) Context menu on user+send file
  4) New tab opens with file transfer
  5) Right click on tab (listed with channels & servers on left) - context menu
  6) Click close tab - Konversation crashes

Additional info:
  Same action on user tab (query) does not crash Konversation

Version-Release number of selected component:
konversation-1.6-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/konversation -qwindowtitle Konversation
crash_function: ViewContainer::canMoveViewLeft
executable:     /usr/bin/konversation
global_pid:     5989
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            27559

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ViewContainer::canMoveViewLeft at ../../src/viewer/viewcontainer.cpp:1821
 #1 ViewContainer::updateViewActions at ../../src/viewer/viewcontainer.cpp:754
 #2 ViewContainer::updateFrontView at ../../src/viewer/viewcontainer.cpp:1082
 #3 ViewContainer::viewSwitched at ../../src/viewer/viewcontainer.cpp:1716
 #4 ViewContainer::cleanupAfterClose at ../../src/viewer/viewcontainer.cpp:2043
 #5 ViewContainer::qt_static_metacall at moc_viewcontainer.cpp:634
 #6 QMetaObject::activate at kernel/qobject.cpp:3718
 #8 ChatWindow::closing at moc_chatwindow.cpp:295
 #9 ChatWindow::~ChatWindow at ../../src/viewer/chatwindow.cpp:68
 #10 NicksOnline::~NicksOnline at ../../src/irc/nicksonline.cpp:106

Potential duplicate: bug 1264817
Comment 1 Pavel Valena 2015-11-24 07:09:11 EST
Created attachment 1098147 [details]
File: backtrace
Comment 2 Pavel Valena 2015-11-24 07:09:12 EST
Created attachment 1098148 [details]
File: cgroup
Comment 3 Pavel Valena 2015-11-24 07:09:14 EST
Created attachment 1098149 [details]
File: core_backtrace
Comment 4 Pavel Valena 2015-11-24 07:09:16 EST
Created attachment 1098150 [details]
File: dso_list
Comment 5 Pavel Valena 2015-11-24 07:09:17 EST
Created attachment 1098151 [details]
File: environ
Comment 6 Pavel Valena 2015-11-24 07:09:19 EST
Created attachment 1098152 [details]
File: exploitable
Comment 7 Pavel Valena 2015-11-24 07:09:20 EST
Created attachment 1098153 [details]
File: limits
Comment 8 Pavel Valena 2015-11-24 07:09:23 EST
Created attachment 1098154 [details]
File: maps
Comment 9 Pavel Valena 2015-11-24 07:09:24 EST
Created attachment 1098155 [details]
File: mountinfo
Comment 10 Pavel Valena 2015-11-24 07:09:26 EST
Created attachment 1098156 [details]
File: namespaces
Comment 11 Pavel Valena 2015-11-24 07:09:27 EST
Created attachment 1098157 [details]
File: open_fds
Comment 12 Pavel Valena 2015-11-24 07:09:29 EST
Created attachment 1098158 [details]
File: proc_pid_status
Comment 13 Pavel Valena 2015-11-24 07:09:30 EST
Created attachment 1098159 [details]
File: var_log_messages
Comment 14 Han Han 2015-12-08 09:32:29 EST
Another user experienced a similar problem:

In irc, someone sent a file to me, the DCC tab appears. I closed the DCC tab, but konversation crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/konversation -qwindowtitle Konversation
crash_function: ViewContainer::canMoveViewLeft
executable:     /usr/bin/konversation
global_pid:     30894
kernel:         4.2.6-301.fc23.x86_64
package:        konversation-1.6-4.fc23
reason:         konversation killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Sylvain Petreolle 2016-02-28 16:32:18 EST
Similar problem has been detected:

To reproduce:
-Start Konversation, connect to a server.
-Open the "Watched nicks" window in Window menu.
-Right click on the Watched nicks tab, click on Close Tab.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        konversation -qwindowtitle Konversation
crash_function: ViewContainer::canMoveViewLeft
executable:     /usr/bin/konversation
global_pid:     10986
kernel:         4.2.3-300.fc23.x86_64
package:        konversation-1.6-4.fc23
reason:         konversation killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            500
Comment 16 Fedora End Of Life 2016-11-24 08:41:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:13:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 18 Sylvain Petreolle 2016-12-20 19:16:36 EST
This problem still happens with Fedora 24. Please reopen.

(In reply to Sylvain Petreolle from comment #15)
> To reproduce:
> -Start Konversation, connect to a server.
> -Open the "Watched nicks" window in Window menu.
> -Right click on the Watched nicks tab, click on Close Tab.
Comment 19 Jason Tibbitts 2017-05-09 19:48:35 EDT
Konversation 1.7 fixed several crashes, including specifically relating to closing the one relating to closing views.  I'm running 1.7.2 (which should soon be in testing) and cannot reproduce.  Can you re-test with at least 1.7?
Comment 20 Pavel Valena 2017-05-10 06:29:52 EDT
Sorry I cannot. I do not use it anymore. KDE desktop was too unstable for me.
Comment 21 Fedora End Of Life 2017-07-25 15:33:19 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2017-08-08 08:27:28 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.